Package org.apache.storm.trident.fluent

# Class ChainedAggregatorDeclarer

java.lang.Object
org.apache.storm.trident.fluent.ChainedAggregatorDeclarer

All Implemented Interfaces:
  `ChainedFullAggregatorDeclarer`, `ChainedPartitionAggregatorDeclarer`, `IChainedAggregatorDeclarer`

public class ChainedAggregatorDeclarer extends Object implements ChainedFullAggregatorDeclarer, ChainedPartitionAggregatorDeclarer

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `ChainedAggregatorDeclarer.AggregationPartition`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChainedAggregatorDeclarer(IAggregatableStream stream, GlobalAggregationScheme globalScheme)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChainedFullAggregatorDeclarer`
  `aggregate(Aggregator agg, Fields functionFields)`
  `ChainedFullAggregatorDeclarer`
  `aggregate(CombinerAggregator agg, Fields functionFields)`
  `ChainedFullAggregatorDeclarer`
  `aggregate(ReducerAggregator agg, Fields functionFields)`
  `ChainedFullAggregatorDeclarer`
  `aggregate(Fields inputFields, Aggregator agg, Fields functionFields)`
  `ChainedFullAggregatorDeclarer`
  `aggregate(Fields inputFields, CombinerAggregator agg, Fields functionFields)`
  `ChainedFullAggregatorDeclarer`
  `aggregate(Fields inputFields, ReducerAggregator agg, Fields functionFields)`
  `Stream`
  `chainEnd()`
  `ChainedPartitionAggregatorDeclarer`
  `partitionAggregate(Aggregator agg, Fields functionFields)`
  `ChainedPartitionAggregatorDeclarer`
  `partitionAggregate(CombinerAggregator agg, Fields functionFields)`
  `ChainedPartitionAggregatorDeclarer`
  `partitionAggregate(ReducerAggregator agg, Fields functionFields)`
  `ChainedPartitionAggregatorDeclarer`
  `partitionAggregate(Fields inputFields, Aggregator agg, Fields functionFields)`
  `ChainedPartitionAggregatorDeclarer`
  `partitionAggregate(Fields inputFields, CombinerAggregator agg, Fields functionFields)`
  `ChainedPartitionAggregatorDeclarer`
  `partitionAggregate(Fields inputFields, ReducerAggregator agg, Fields functionFields)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChainedAggregatorDeclarer

    public ChainedAggregatorDeclarer(IAggregatableStream stream, GlobalAggregationScheme globalScheme)

- ## Method Details

  - ### chainEnd

    public Stream chainEnd()
    Specified by:
      `chainEnd` in interface `IChainedAggregatorDeclarer`

  - ### partitionAggregate

    public ChainedPartitionAggregatorDeclarer partitionAggregate(Aggregator agg, Fields functionFields)
    Specified by:
      `partitionAggregate` in interface `ChainedPartitionAggregatorDeclarer`

  - ### partitionAggregate

    public ChainedPartitionAggregatorDeclarer partitionAggregate(Fields inputFields, Aggregator agg, Fields functionFields)
    Specified by:
      `partitionAggregate` in interface `ChainedPartitionAggregatorDeclarer`

  - ### partitionAggregate

    public ChainedPartitionAggregatorDeclarer partitionAggregate(CombinerAggregator agg, Fields functionFields)
    Specified by:
      `partitionAggregate` in interface `ChainedPartitionAggregatorDeclarer`

  - ### partitionAggregate

    public ChainedPartitionAggregatorDeclarer partitionAggregate(Fields inputFields, CombinerAggregator agg, Fields functionFields)
    Specified by:
      `partitionAggregate` in interface `ChainedPartitionAggregatorDeclarer`

  - ### partitionAggregate

    public ChainedPartitionAggregatorDeclarer partitionAggregate(ReducerAggregator agg, Fields functionFields)
    Specified by:
      `partitionAggregate` in interface `ChainedPartitionAggregatorDeclarer`

  - ### partitionAggregate

    public ChainedPartitionAggregatorDeclarer partitionAggregate(Fields inputFields, ReducerAggregator agg, Fields functionFields)
    Specified by:
      `partitionAggregate` in interface `ChainedPartitionAggregatorDeclarer`

  - ### aggregate

    public ChainedFullAggregatorDeclarer aggregate(Aggregator agg, Fields functionFields)
    Specified by:
      `aggregate` in interface `ChainedFullAggregatorDeclarer`

  - ### aggregate

    public ChainedFullAggregatorDeclarer aggregate(Fields inputFields, Aggregator agg, Fields functionFields)
    Specified by:
      `aggregate` in interface `ChainedFullAggregatorDeclarer`

  - ### aggregate

    public ChainedFullAggregatorDeclarer aggregate(CombinerAggregator agg, Fields functionFields)
    Specified by:
      `aggregate` in interface `ChainedFullAggregatorDeclarer`

  - ### aggregate

    public ChainedFullAggregatorDeclarer aggregate(Fields inputFields, CombinerAggregator agg, Fields functionFields)
    Specified by:
      `aggregate` in interface `ChainedFullAggregatorDeclarer`

  - ### aggregate

    public ChainedFullAggregatorDeclarer aggregate(ReducerAggregator agg, Fields functionFields)
    Specified by:
      `aggregate` in interface `ChainedFullAggregatorDeclarer`

  - ### aggregate

    public ChainedFullAggregatorDeclarer aggregate(Fields inputFields, ReducerAggregator agg, Fields functionFields)
    Specified by:
      `aggregate` in interface `ChainedFullAggregatorDeclarer`